Bug 2585 - One-click moving to a common folder
: One-click moving to a common folder
Status: RESOLVED WONTFIX
Product: Email
General
: 5.0-beta2
: All Linux
: Low enhancement with 2 votes (vote)
: ---
Assigned To: modest-bugs
: modest-bugs
:
:
: 2554
:
  Show dependency tree
 
Reported: 2007-12-18 09:59 UTC by Josh Triplett
Modified: 2012-03-24 11:47 UTC (History)
3 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Josh Triplett (reporter) 2007-12-18 09:59:54 UTC
I archive all my non-list mail to a single "Archive" folder.  I'd really like
the ability to configure a target folder for a one-click archive button.
Comment 1 Andre Klapper maemo.org 2009-05-08 18:42:47 UTC
Having filters might be a better approach. Having an intuitive interface for
this is VERY hard - how should this work? What steps would be required to
1) set such a rule up and define the folder that stuff should be moved to
2) trigger and use this one-click moving?

Reminded me a bit of http://bugzilla.gnome.org/show_bug.cgi?id=581717 .

Most likely a WONTFIX, but I'd love to see the ideas first here, especially how
to configure a potential "Move to folder" button in the toolbar (even if that
ticket has been WONTFIXed)
Comment 2 Andre Klapper maemo.org 2009-06-29 12:26:01 UTC
No answer for 7 weeks...
Currently closing as WONTFIX, but please reopen when you elaborate how to
create an intuitive interface for this.
Comment 3 Josh Triplett (reporter) 2009-07-03 03:07:29 UTC
(Reopening with more detailed description of the UI.)

I think the interface just needs a toolbar button for "archive".  Tapping this
button should move the currently selected mail(s) to the configured archive
folder for the current account.

The configuration for the archive folder should consist of a folder chooser. 
This configuration should appear in the configuration options for an account,
and should probably also appear if you tap the archive button and have no
archive folder configured (or if the configured folder does not exist).

A folder chooser would just look like a tree of available folders, an
indication of the currently selected folder and the path to that folder, and
optionally a button for creating a new folder.

Does that make sense?

Some rough ASCII mockups:

+------------------------------+
| Choose archive folder:       |
|                              |
| [Archive                   ] |
|                              |
| +--------------------------+ |
| | Inbox                    | |
| |▒Archive▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒| |
| | Lists                    | |
| |   some-list              | |
| |   some-other-list        | |
| |                          | |
| +--------------------------+ |
|                              |
| (OK/Cancel buttons)          |
+------------------------------+

+-------------------------------------------------------------+
| You have not configured an archive folder for this account. |
| Would you like to configure an archive folder now?          |
|                                                             |
|             [Cancel] [Configure archive folder]             |
+-------------------------------------------------------------+


Does that UI make sense to you?


I don't think this needs a fully general filter mechanism.  Ideally
someone using Modest will have server-side filtering of some kind.
Some other mechanisms exist that might make Modest more streamlined
for certain kinds of mails, but I think a one-click "Archive"
mechanism would address one of the most common actions to take with a
mail.
Comment 4 Sergio Villar Senin 2009-11-03 19:31:17 UTC
The interface has changed a lot in Fremantle. Do you think this is still valid?
Comment 5 Josh Triplett (reporter) 2009-11-03 19:59:53 UTC
(In reply to comment #4)
> The interface has changed a lot in Fremantle. Do you think this is still valid?

I'll let you know as soon as my preordered N900 arrives. ;)

But in general, if the functionality to archive mails to a common archive
folder with a single click does not exist, then yes, I still consider this
valid.
Comment 6 Josh Triplett (reporter) 2010-05-27 06:42:32 UTC
Managed to lose track of this one.  Having had my N900 for a while now, I think
the UI still makes a lot of sense.  The mockups I posted in comment #3 still
seem reasonable, except that Fremantle doesn't have cancel buttons, so those
should go away.  (And the second dialog should probably have Yes/No buttons.)
Comment 7 Andre Klapper maemo.org 2012-03-24 11:47:15 UTC
The Maemo 5 User Interface and Maemo 5 platform components (e.g. libraries)
used for the N900 are considered stable by Nokia and it seems that there are no
plans for official updates currently, hence nobody plans to work on this
enhancement/wishlist request. 
(And in case you feel like discussing this situation: Nokia Customer Care or
http://talk.maemo.org would be the place to do so as you will not reach Nokia
officials in this community bugtracker - though all of this is really no news.)

Reflecting this status by setting RESOLVED WONTFIX for this
enhancement/wishlist request (see
https://bugs.maemo.org/page.cgi?id=fields.html#status for status explanations).

There is a small chance for issues in those Maemo components that are open
source: Contributed patches could be included and made available in the Maemo 5
Community CSSU updates. 
The Maemo CSSU project is run by a small team of volunteers; see
http://wiki.maemo.org/CSSU for more information.
So in case that you can provide a patch that fixes the reported problem, please
feel encouraged to file a request under
https://bugs.maemo.org/enter_bug.cgi?product=Maemo%205%20Community%20SSU .
Please note: The Maemo CSSU project is not related in any way to Nokia.


( Tag for mass-deleting bugmail: [cleanup20120324] )